@rem copyright (c) 2004-2005 Kazuki IWAMOTO http://www.maid.org/ iwm@maid.org
@rem
@rem Permission is hereby granted, free of charge, to any person obtaining
@rem a copy of this software and associated documentation files (the
@rem "Software"), to deal in the Software without restriction, including
@rem without limitation the rights to use, copy, modify, merge, publish,
@rem distribute, sublicense, and/or sell copies of the Software, and to
@rem permit persons to whom the Software is furnished to do so, subject to
@rem the following conditions:
@rem
@rem The above copyright notice and this permission notice shall be included
@rem in all copies or substantial portions of the Software.
@rem
@rem THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
@rem EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
@rem MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
@rem IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
@rem CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
@rem TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE
@rem SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
@rem if not exist cairo-0.9.2 tar zxf cairo-0.9.2.tar.gz
if not exist gettext-0.14.5 tar zxf gettext-0.14.5.tar.gz
if not exist jpeg-6b tar zxf jpegsrc.v6b.tar.gz
if not exist libiconv-1.9.2 tar zxf libiconv-1.9.2.tar.gz
@rem if not exist libpixman-0.1.6 tar zxf libpixman-0.1.6.tar.gz
if not exist libpng-1.2.8 tar zxf libpng-1.2.8.tar.gz
if not exist tiff-3.7.3 tar zxf tiff-3.7.3.tar.gz
if not exist zlib-1.2.3 tar zxf zlib-1.2.3.tar.gz
if "%1"=="CVS" goto cvs
if "%1"=="CVs" goto cvs
if "%1"=="CvS" goto cvs
if "%1"=="Cvs" goto cvs
if "%1"=="cVS" goto cvs
if "%1"=="cVs" goto cvs
if "%1"=="cvS" goto cvs
if "%1"=="cvs" goto cvs
if not exist atk-1.6.1 tar zxf atk-1.6.1.tar.gz
if not exist glib-2.6.6 tar zxf glib-2.6.6.tar.gz
if not exist "gtk+-2.6.10" if not exist gtk-2.6.10 tar zxf "gtk+-2.6.10.tar.gz"
if not exist pango-1.8.2 tar zxf pango-1.8.2.tar.gz
if exist "gtk+-2.6.10" ren "gtk+-2.6.10" gtk-2.6.10
goto final
:cvs
if exist atk (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome up -P -d atk) else (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome co atk)
if exist cairo (cvs -z3 -d :pserver:anoncvs@cvs.cairographics.org:/cvs/cairo up -P -d cairo) else (cvs -z3 -d :pserver:anoncvs@cvs.cairographics.org:/cvs/cairo co cairo)
if exist glib (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome up -P -d glib) else (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome co glib)
if exist gtk (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome up -P -d gtk) else (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome co -d gtk gtk+)
if exist libpixman (cvs -z3 -d :pserver:anoncvs@cvs.cairographics.org:/cvs/cairo up -P -d libpixman) else (cvs -z3 -d :pserver:anoncvs@cvs.cairographics.org:/cvs/cairo co libpixman)
if exist pango (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome up -P -d pango) else (cvs -z3 -d:pserver:anonymous@anoncvs.gnome.org:/cvs/gnome co pango)
:final
